Package tigase.map

## Class ClusterMapFactory

- java.lang.Object
- - tigase.map.ClusterMapFactory

-     public class ClusterMapFactory
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ClusterMapFactory.ElementAddEvent` |
    `static class` | `ClusterMapFactory.ElementRemoveEvent` |
    `static class` | `ClusterMapFactory.MapClearEvent` |
    `static class` | `ClusterMapFactory.MapDestroyEvent` |
    `static class` | `ClusterMapFactory.NewMapCreatedEvent` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<K,​V> java.util.Map<K,​V>` | `createMap​(java.lang.String uid, java.lang.Class<K> keyClass, java.lang.Class<V> valueClass, java.lang.String... params)` |
    `void` | `destroyMap​(java.util.Map map)` |
    `static ClusterMapFactory` | `get()` |
    `EventBus` | `getEventBus()` |
    `<K,​V> java.util.Map<K,​V>` | `getMap​(java.lang.String uid)` |
    `void` | `setEventBus​(EventBus eventBus)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### get

          public static final ClusterMapFactory get()

    - #### createMap

          public <K,​V> java.util.Map<K,​V> createMap​(java.lang.String uid,
                                                                java.lang.Class<K> keyClass,
                                                                java.lang.Class<V> valueClass,
                                                                java.lang.String... params)

    - #### destroyMap

          public void destroyMap​(java.util.Map map)

    - #### getEventBus

          public EventBus getEventBus()

    - #### setEventBus

          public void setEventBus​(EventBus eventBus)

    - #### getMap

          public <K,​V> java.util.Map<K,​V> getMap​(java.lang.String uid)